#pragma once

namespace rov2
{

/*! A class that is unassignable*/
class CUnassignable
{
public:
  /*! Disable copy constructor */
  CUnassignable(const CUnassignable&) = delete;

  /*! Disable assignment operator */
  CUnassignable& operator=(const CUnassignable&) = delete;

  /*! Default constructor */
  CUnassignable() {}
};

}